import { html as a } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var d = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (l, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, i = l.length - 1, c; i >= 0; i--)
    (c = l[i]) && (e = (r ? c(t, o, e) : c(e)) || e);
  return r && e && d(t, o, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--radioUnselected", this.class = "c-pieIcon c-pieIcon--radioUnselected", this.name = "IconRadioUnselected";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--radioUnselected"><path d="M8 1.219C4.264 1.219 1.219 4.264 1.219 8S4.264 14.781 8 14.781 14.781 11.736 14.781 8 11.736 1.219 8 1.219m0 12.25A5.47 5.47 0 0 1 2.531 8 5.47 5.47 0 0 1 8 2.531 5.47 5.47 0 0 1 13.469 8 5.47 5.47 0 0 1 8 13.469"></path></svg>`;
  }
};
n([
  p({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  p({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  h("icon-radio-unselected")
], s);
export {
  s as IconRadioUnselected
};
